from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
restore_job = pc.describe_restore_job(job_id="9857add2-99d4-4399-870e-aa7f15d8d326")
print(restore_job)
PINECONE_API_KEY="YOUR_API_KEY"
JOB_ID="9857add2-99d4-4399-870e-aa7f15d8d326"
curl "https://api.pinecone.io/restore-jobs/$JOB_ID" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-01.alpha"
Backups
Describe a restore job
Get a description of a restore job.
GET
/
restore-jobs
/
{job_id}
from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
restore_job = pc.describe_restore_job(job_id="9857add2-99d4-4399-870e-aa7f15d8d326")
print(restore_job)
PINECONE_API_KEY="YOUR_API_KEY"
JOB_ID="9857add2-99d4-4399-870e-aa7f15d8d326"
curl "https://api.pinecone.io/restore-jobs/$JOB_ID" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-01.alpha"
from pinecone import Pinecone
pc = Pinecone(api_key="YOUR_API_KEY")
restore_job = pc.describe_restore_job(job_id="9857add2-99d4-4399-870e-aa7f15d8d326")
print(restore_job)
PINECONE_API_KEY="YOUR_API_KEY"
JOB_ID="9857add2-99d4-4399-870e-aa7f15d8d326"
curl "https://api.pinecone.io/restore-jobs/$JOB_ID" \
-H "Api-Key: $PINECONE_API_KEY" \
-H "X-Pinecone-Api-Version: 2026-01.alpha"
Authorizations
Headers
Required date-based version header
Path Parameters
The ID of the restore job to describe.
Response
Configuration information and deployment status of the restore job.
The RestoreJobModel describes the status of a restore job.
Unique identifier for the restore job
Example:
"670e8400-e29b-41d4-a716-446655440001"
Backup used for the restore
Example:
"670e8400-e29b-41d4-a716-446655440000"
Name of the index into which data is being restored
Example:
"sample-index"
ID of the index
Example:
"670e8400-e29b-41d4-a716-446655440002"
Status of the restore job
Example:
"Completed"
Timestamp when the restore job started
Example:
"2025-02-04T13:00:00.000Z"
Timestamp when the restore job finished
Example:
"2025-02-04T14:00:00.000Z"
The progress made by the restore job out of 100
Required range:
0 <= x <= 100Example:
42.2
Was this page helpful?
⌘I